
package de.ivu.elect.presentation.staat.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.staat.StaatenGruppeCreateView;

public class StaatenGruppeCreateMenuItemEntry extends AbstractStaatenGruppeMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public StaatenGruppeCreateMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.STAATEN_GRUPPE_CREATE;
  }

  @Override
  public String getTargetViewId() {
    return StaatenGruppeCreateView.VIEW_ID;
  }

  @Override
  protected String getLabel() {
    return getMessage(getLabelKey(), getMeta().getEinzahlMessage());
  }

  @Override
  public String getLabelKey() {
    return "entity.create.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconCreate();
  }
}
